CREATE OR REPLACE VIEW idm_rpt_data.idmrpt_system_info_v AS 
 SELECT n.nspname AS schemaname,
    c.relname AS tablename,
    pg_total_relation_size(c.oid::regclass)::numeric / (1024::numeric * 1024.0) AS size,
    c.reltuples AS rows_estimated,
    GREATEST(s.last_analyze, s.last_autoanalyze) AS analyzed,
    pg_database_size(current_database())::numeric / (1024::numeric * 1024.0) AS total_db_size
   FROM pg_class c
     LEFT JOIN pg_namespace n ON n.oid = c.relnamespace
     LEFT JOIN pg_stat_all_tables s ON s.relid = c.oid
  WHERE c.relkind = 'r'::"char" AND (n.nspname = ANY (ARRAY['idm_rpt_data'::name, 'idm_rpt_data'::name])) AND (pg_total_relation_size(c.oid::regclass) >= 65536 OR c.reltuples > 0::double precision)
  ORDER BY n.nspname, c.relname;

ALTER TABLE idm_rpt_data.idmrpt_system_info_v
  OWNER TO idm_rpt_data;
GRANT ALL ON TABLE idm_rpt_data.idmrpt_system_info_v TO idm_rpt_data;
GRANT SELECT ON TABLE idm_rpt_data.idmrpt_system_info_v TO idmrptuser;
